Index: /branches/2.2/filemanager/inc/class.notifications.inc.php
===================================================================
--- /branches/2.2/filemanager/inc/class.notifications.inc.php	(revision 3636)
+++ /branches/2.2/filemanager/inc/class.notifications.inc.php	(revision 3638)
@@ -20,13 +20,10 @@
 		'AddEmail'			=> True,
 		'DeleteEmail'		=> True,
-		'DeleteEmailUser'	=> True
+		'DeleteEmailUser'	=> True,
+		'EmailsToSend'		=> True
 	);
 	
 	public function notifications()
 	{
-		if( !$GLOBALS['phpgw']->acl->check('run',1,'admin') )
-		{
-			$GLOBALS['phpgw']->redirect_link('/admin/index.php');
-		}		
 		$this->db_name = $GLOBALS['phpgw_info']['server']['db_name'];
 		$this->db_host = $GLOBALS['phpgw_info']['server']['db_host'];
@@ -47,4 +44,9 @@
 	public function AddEmail()
 	{	
+		if( !$GLOBALS['phpgw']->acl->check('run',1,'admin') )
+		{
+			$GLOBALS['phpgw']->redirect_link('/admin/index.php');
+		}		
+		
 		$emailFrom	= $_GET['emailFrom'];
 		$emailTo	= $_GET['emailTo'];
@@ -88,4 +90,9 @@
 	public function DeleteEmail()
 	{
+		if( !$GLOBALS['phpgw']->acl->check('run',1,'admin') )
+		{
+			$GLOBALS['phpgw']->redirect_link('/admin/index.php');
+		}		
+
 		$emailFrom 	= $_GET['emailFrom'];
 		$emailTo	= $_GET['emailTo'];
@@ -129,4 +136,9 @@
 	public function DeleteEmailUser()
 	{
+		if( !$GLOBALS['phpgw']->acl->check('run',1,'admin') )
+		{
+			$GLOBALS['phpgw']->redirect_link('/admin/index.php');
+		}		
+
 		$id 	= $_GET['filemanagerId']; 		
 		$return	= "False";
@@ -143,6 +155,27 @@
 	}
 	
+	public function EmailsToSend( $pEmail )
+	{
+		$query = "SELECT * FROM  phpgw_filemanager_notification WHERE email_from = '".$pEmail."'";
+		
+		if( $this->db )
+		{
+			if( $this->db->query($query) )
+			{
+				while( $this->db->next_record())
+					$result[] = $this->db->row();					
+			}
+		}
+
+		return $result[0]['email_to'];
+	}
+	
 	public function SearchId( $pData )
 	{
+		if( !$GLOBALS['phpgw']->acl->check('run',1,'admin') )
+		{
+			$GLOBALS['phpgw']->redirect_link('/admin/index.php');
+		}		
+
 		$query = "SELECT * FROM phpgw_filemanager_notification WHERE filemanager_id ='".$pData."';";
 		
@@ -161,4 +194,9 @@
 	public function SearchEmail( $pEmail, $pLimit, $pOffset )
 	{
+		if( !$GLOBALS['phpgw']->acl->check('run',1,'admin') )
+		{
+			$GLOBALS['phpgw']->redirect_link('/admin/index.php');
+		}		
+
 		$query = "SELECT * FROM phpgw_filemanager_notification WHERE email_from like '%".$pEmail."%' " .
 				 "ORDER BY email_from OFFSET (".$pOffset."-1)*".$pLimit." LIMIT ".$pLimit.";";
Index: /branches/2.2/filemanager/js/common_functions.js
===================================================================
--- /branches/2.2/filemanager/js/common_functions.js	(revision 3619)
+++ /branches/2.2/filemanager/js/common_functions.js	(revision 3638)
@@ -103,8 +103,10 @@
 			pArgs.path_filemanager	= path_filemanager;
 			pArgs.width 			= 450;
-		
+	
 		var _html = Xtools.parse( Xtools.xml("upload_files"), "upload.xsl", pArgs );
 		
 		draw_window( _html, 490, 350, get_lang("upload files") );
+		
+		sendNotification( pArgs.emails_to );
 	}
 	
@@ -247,7 +249,10 @@
 }
 
-function enterComments(e,el){
-	if (e.keyCode == KEY_ENTER)
+function enterComments(e,el)
+{
+	if ( e.keyCode == KEY_ENTER )
+	{
 		el.blur();
+	}
 }
 
@@ -402,14 +407,35 @@
 {
 	var _div = document.getElementById('sendNotifcation');
-
-	loadXtools();
-		
-	var pArgs = 
-	{
-		'lang_delete' : get_lang('delete'),
-		'lang_send_notification_email_to' :	get_lang("Send Notification email to:")
-	};
-		
-	_div.innerHTML += Xtools.parse( Xtools.xml("teste"), "send_notification.xsl", pArgs);
+	
+	var _SendNotification = function()
+	{
+		var pArgs = 
+		{
+			'lang_delete' 						: get_lang('delete'),
+			'lang_send_notification_email_to'	: get_lang("Send Notification email to:"),
+			'value_email' 						: ( ( arguments.length > 0 ) ? arguments[0] : "" )
+		};
+
+		loadXtools();
+		
+		_div.innerHTML += Xtools.parse( Xtools.xml("send_notification"), "send_notification.xsl", pArgs);
+	}
+	
+	if( arguments.length > 0 )
+	{
+		var emailsTo = arguments[0].split(",");
+		
+		_div.innerHTML += "<div style='margin:4 2 2 4px;'>" +
+					      "<label style='font-weight: bold;'>" + get_lang('The following addresses will be notified') + " : </label>" +
+					      "</div>";
+		for( var i = 0 ;  i < emailsTo.length ; i++ )
+		{
+			_SendNotification( emailsTo[i] );
+			_div.innerHTML += "<div style='margin:1 2 1 4px;'> - " + emailsTo[i] + "</div>";
+		}
+		_div.innerHTML += "<br/>";
+	}
+	else
+		_SendNotification();
 }
 
